From 4bee37bc17ed0fa03330faa0040671f4d9a36b9b Mon Sep 17 00:00:00 2001
From: Jon Stacey <jon@jonsview.com>
Date: Wed, 7 Mar 2012 01:22:10 -0600
Subject: [PATCH 52/53] Audio: have aout_VolumeHardInit() call the setter to
 initialize starting volume, and stop creating volume
 and mute variables.

---
 src/audio_output/output.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/audio_output/output.c b/src/audio_output/output.c
index aa13579..196d45d 100644
--- a/src/audio_output/output.c
+++ b/src/audio_output/output.c
@@ -338,10 +338,12 @@ void aout_VolumeSoftInit (audio_output_t *aout)
  */
 void aout_VolumeHardInit (audio_output_t *aout, aout_volume_cb setter)
 {
+    audio_volume_t volume = var_InheritInteger (aout, "volume");
+    bool mute = var_InheritBool (aout, "mute");
+
     aout_assert_locked (aout);
     aout->pf_volume_set = setter;
-    var_Create (aout, "volume", VLC_VAR_INTEGER|VLC_VAR_DOINHERIT);
-    var_Create (aout, "mute", VLC_VAR_BOOL|VLC_VAR_DOINHERIT);
+    aout->pf_volume_set (aout, volume / (float)AOUT_VOLUME_DEFAULT, mute);
 }
 
 /**
-- 
1.7.7.5 (Apple Git-26)

